Page MenuHomePhabricator

Migrate FUDForm to the new validator framework
Closed, ResolvedPublic

Description

Migrate the existing checker / suggester code to instead use the new validator framework. We need to add,

  1. Validator for variable - /\$[1-9]/ that is insertable and enforced.
  2. Validator for variable - /{VAR: [^}]+}/ that is insertable and enforced.
  3. Plural - {PLURAL: u->posted_msg_count|$1 Message|$1 Messages} - Currently checking to make sure translators are not using {{PLURAL, instead of {PLURAL. This will need a custom validator.

We'll need to update the YAML configuration file located here - https://phabricator.wikimedia.org/diffusion/GTWN/browse/master/groups/

Documentation: https://www.mediawiki.org/wiki/Help:Extension:Translate/Validators
Example patch: https://gerrit.wikimedia.org/r/c/translatewiki/+/549930

Event Timeline

abi_ created this task.Nov 11 2019, 7:54 AM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptNov 11 2019, 7:54 AM
abi_ claimed this task.Feb 4 2020, 9:23 AM
abi_ triaged this task as Medium priority.

Change 569844 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Update FUDForum to use the new validator framework

https://gerrit.wikimedia.org/r/569844

Change 569844 merged by jenkins-bot:
[translatewiki@master] Update FUDForum to use the new validator framework

https://gerrit.wikimedia.org/r/569844

Change 571258 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[translatewiki@master] Add insertable suggester for HTML entities for FUDForum

https://gerrit.wikimedia.org/r/571258

Change 571258 merged by jenkins-bot:
[translatewiki@master] Add insertable suggester for HTML entities for FUDForum

https://gerrit.wikimedia.org/r/571258

abi_ closed this task as Resolved.Feb 10 2020, 11:57 AM
abi_ moved this task from In Review to Done on the Language-Team (Language-2020-January-March) board.

Related patches have been merged and deployed on twn. Testing revealed no anomalies.